<template>
    <label class="wrapper">
      {{label}}
      <input class="checkbox" v-bind="$attrs" type="radio" :checked="isChecked" :value="value" @change="$emit('change', $event.target.value)" />
      <span class="checkmark"></span>
    </label>
</template>

  <script>
    export default {
      model: {
        prop: 'modelValue',
        event: 'change'
      },
      props: {
        "label": { type: String, default: "", required:true },
        "modelValue": { default: "" },
        "value": { type: String, default: undefined }
      },
      computed: {
        isChecked() {
          return this.modelValue === this.value
        }
      }
    }
  </script>

  <style  scoped>

    .wrapper {
      display: flex;
      align-items: center;
      position: relative;
      padding-left: 35px;
      margin-bottom: 6px;
      cursor: pointer;
      font-size: 16px;
      line-height: 125%;
      -webkit-user-select: none;
      -moz-user-select: none;
      -ms-user-select: none;
      user-select: none;
      color: #FFFFFF;
    }

    .wrapper input {
      position: absolute;
      opacity: 0;
      cursor: pointer;
      height: 0;
      width: 0;
    }


    .checkmark {
      position: absolute;
      top: 0;
      left: 0;
      height: 20px;
      width: 20px;
      border-radius: 50%;
      background-color: #08123A;
      border: 1px solid #2F3E78;
    }


    .wrapper:hover input ~ .checkmark {
      background: url("../../assets/img/tbcc-radio-checkmark.svg") no-repeat center, linear-gradient(77.9deg, #0066FF -3.83%, #2CE0C5 110.36%);
      opacity: 0.5;
    }


    .wrapper input:checked ~ .checkmark {
      background: url("../../assets/img/tbcc-radio-checkmark.svg") no-repeat center, linear-gradient(77.9deg, #0066FF -3.83%, #2CE0C5 110.36%);

    }

    .wrapper:hover input:checked ~ .checkmark {
      opacity: 1;
    }


  </style>
